hnscnvt

## Class HMLToSiGML

- java.lang.Object
- - hnscnvt.HMLToSiGML

-     public class HMLToSiGML
      extends java.lang.Object

  Supports conversion of an HML sign to a SiGML sign, with input and results in several convenient formats.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HMLToSiGML.HMLToSiGMLException` Exception class for `HMLToSiGML`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HMLToSiGML()` Constructs a new HML-to-SiGML converter.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `sigmlSignAsDoc(java.lang.String sigmlsign)` Returns a complete SiGML document text containing the given SiGML sign element as its only sign.
    `org.w3c.dom.Element` | `sigmlSignForHML(org.w3c.dom.Element hmlsel)` Transforms the given HML sign `Element` to a SiGML `<hamgestural_sign>` `Element`, and returns the latter element.
    `java.lang.String` | `sigmlSignText(org.w3c.dom.Element sigmlsel)` Generates and returns the text form the given SiGML sign DOM `Element`.
    `java.lang.String` | `sigmlSignTextForHML(org.w3c.dom.Element hmlsel)` Transforms the given HML sign `Element` to a SiGML `<hamgestural_sign>` element, and returns the text for this SiGML sign element.
    `java.lang.String` | `sigmlSignTextForHML(java.lang.String hmlstxt)` Transforms the given HML sign element text to a SiGML `<hamgestural_sign>` element, and returns the text for this SiGML sign element.
    `void` | `validateSiGML(java.lang.String sdoctxt)` Validates the given SiGML document text, throwing an `HMLToSiGML.HMLToSiGMLException` in case of failure; the presence of whitespace in an element with an EMPTY content model will be flagged as invalid.
    `void` | `validateSiGML(java.lang.String sdoctxt, boolean emptywsok)` Validates the given SiGML document text, allowing whitespace for EMPTY element content, and returning silently if successful or throwing an `HMLToSiGML.HMLToSiGMLException` in case of failure.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HMLToSiGML

          public HMLToSiGML()
                     throws HMLToSiGML.HMLToSiGMLException

      Constructs a new HML-to-SiGML converter.
      Throws:
        `HMLToSiGML.HMLToSiGMLException`

  - ### Method Detail

    - #### sigmlSignAsDoc

          public java.lang.String sigmlSignAsDoc(java.lang.String sigmlsign)

      Returns a complete SiGML document text containing the given SiGML sign element as its only sign.

    - #### sigmlSignText

          public java.lang.String sigmlSignText(org.w3c.dom.Element sigmlsel)
                                         throws HMLToSiGML.HMLToSiGMLException

      Generates and returns the text form the given SiGML sign DOM `Element`.
      Throws:
        `HMLToSiGML.HMLToSiGMLException`

    - #### sigmlSignTextForHML

          public java.lang.String sigmlSignTextForHML(java.lang.String hmlstxt)
                                               throws HMLToSiGML.HMLToSiGMLException

      Transforms the given HML sign element text to a SiGML `<hamgestural_sign>` element, and returns the text for this SiGML sign element.
      Throws:
        `HMLToSiGML.HMLToSiGMLException`

    - #### sigmlSignTextForHML

          public java.lang.String sigmlSignTextForHML(org.w3c.dom.Element hmlsel)
                                               throws HMLToSiGML.HMLToSiGMLException

      Transforms the given HML sign `Element` to a SiGML `<hamgestural_sign>` element, and returns the text for this SiGML sign element.
      Throws:
        `HMLToSiGML.HMLToSiGMLException`

    - #### sigmlSignForHML

          public org.w3c.dom.Element sigmlSignForHML(org.w3c.dom.Element hmlsel)
                                              throws HMLToSiGML.HMLToSiGMLException

      Transforms the given HML sign `Element` to a SiGML `<hamgestural_sign>` `Element`, and returns the latter element.
      Throws:
        `HMLToSiGML.HMLToSiGMLException`

    - #### validateSiGML

          public void validateSiGML(java.lang.String sdoctxt,
                                    boolean emptywsok)
                             throws HMLToSiGML.HMLToSiGMLException

      Validates the given SiGML document text, allowing whitespace for EMPTY element content, and returning silently if successful or throwing an `HMLToSiGML.HMLToSiGMLException` in case of failure.
      Throws:
        `HMLToSiGML.HMLToSiGMLException`

    - #### validateSiGML

          public void validateSiGML(java.lang.String sdoctxt)
                             throws HMLToSiGML.HMLToSiGMLException

      Validates the given SiGML document text, throwing an `HMLToSiGML.HMLToSiGMLException` in case of failure; the presence of whitespace in an element with an EMPTY content model will be flagged as invalid.
      Throws:
        `HMLToSiGML.HMLToSiGMLException`